org.apache.hc.client5.http.impl.classic

## Class ClassicRequestCopier

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.ClassicRequestCopier

All Implemented Interfaces:
  MessageCopier<org.apache.hc.core5.http.ClassicHttpRequest>

    public final class ClassicRequestCopier
    extends Object
    implements MessageCopier<org.apache.hc.core5.http.ClassicHttpRequest>

### Field Summary

Fields
`static ClassicRequestCopier` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`ClassicRequestCopier()`

### Method Summary

Methods
`org.apache.hc.core5.http.ClassicHttpRequest` `copy(org.apache.hc.core5.http.ClassicHttpRequest original)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final ClassicRequestCopier INSTANCE

### Constructor Detail

#### ClassicRequestCopier

    public ClassicRequestCopier()

### Method Detail

#### copy

    public org.apache.hc.core5.http.ClassicHttpRequest copy(org.apache.hc.core5.http.ClassicHttpRequest original)

Specified by:
  `copy` in interface `MessageCopier<org.apache.hc.core5.http.ClassicHttpRequest>`